Bug 1249051 - intltool-merge sometimes generate translations sometimes not [NEEDINFO]
Summary: intltool-merge sometimes generate translations sometimes not
Keywords:
Status: ASSIGNED
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: intltool
Version: 7.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jens Petersen
QA Contact: QE Internationalization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-31 12:40 UTC by Lukáš Nykrýn
Modified: 2019-10-07 13:34 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:
petersen: needinfo? (lnykryn)


Attachments (Terms of Use)
0001-intltool-merge-Create-cache-file-atomically.patch (1.12 KB, patch)
2015-10-08 20:27 UTC, Colin Walters
no flags Details | Diff
0001-build-Error-out-if-intltool-failed.patch (816 bytes, patch)
2015-10-08 22:20 UTC, Colin Walters
no flags Details | Diff

Comment 3 Colin Walters 2015-10-08 19:39:57 UTC
Is this a new issue?  intltool hasn't changed in approximately forever.

Do you know if it's affecting Fedora?

Upstream is pretty dead, and now that modern gettext supports most file formats (including the XML here), no one wants to use intltool anymore.

That said, I don't think a rebase of gettext is in the cards, so we can see what we can do to fix this.

There's a change in Fedora to fix
https://bugzilla.redhat.com/show_bug.cgi?id=1233444
I wonder if it's related to the Perl version in the buildroot or something like that?

Comment 4 Colin Walters 2015-10-08 20:14:13 UTC
Between the logs in
http://download.devel.redhat.com/brewroot/packages/systemd/219/8.el7/data/logs/x86_64/build.log
http://download.devel.redhat.com/brewroot/packages/systemd/219/8.el7/data/logs/x86_64/build.log

Hmm.  One thing I notice is that the `sub create_cache` function in intltool-merge is not done as an atomic write, yet systemd's build system has multiple parallel invocations of intltool.

What I would do for now is patch systemd's build to fail if there are no translations.

Comment 5 Colin Walters 2015-10-08 20:27:50 UTC
Created attachment 1081098 [details]
0001-intltool-merge-Create-cache-file-atomically.patch

Untested patch.

Comment 6 Colin Walters 2015-10-08 22:18:58 UTC
(In reply to Colin Walters from comment #5)
> Created attachment 1081098 [details]
> 0001-intltool-merge-Create-cache-file-atomically.patch
> 
> Untested patch.

Confirmed the patch doesn't break the build at least.

Comment 7 Colin Walters 2015-10-08 22:20:00 UTC
Created attachment 1081108 [details]
0001-build-Error-out-if-intltool-failed.patch

Tested this doesn't break the build, did not test that it correctly failed if intltool failed.

Comment 8 Lukáš Nykrýn 2015-10-12 08:42:42 UTC
(In reply to Colin Walters from comment #3)
> Is this a new issue?  intltool hasn't changed in approximately forever.
> 
> Do you know if it's affecting Fedora?

Yep, we have the same problem in fedora.

Comment 9 Colin Walters 2015-10-12 14:44:32 UTC
(In reply to Lukáš Nykrýn from comment #8)
> (In reply to Colin Walters from comment #3)
> > Is this a new issue?  intltool hasn't changed in approximately forever.
> > 
> > Do you know if it's affecting Fedora?
> 
> Yep, we have the same problem in fedora.

OK, I pushed the patch there:

http://pkgs.fedoraproject.org/cgit/intltool.git/commit/?id=f0b91355afb6b9d0bdc52c489b8b6a1ce4e78ab4

Comment 13 Jens Petersen 2019-07-02 09:20:50 UTC
Is this still an issue?  (Quite a few minor releases have passed.)


Note You need to log in before you can comment on or make changes to this bug.